<div class="tab-pane active" id="tab1">
    <div class="row">
        <div class="col-md-3">
            <select id="ttdmasalteguran" class="form-control">
                <?php foreach ($ar_ttd0 as $row) { ?>
                    <option value="<?= $row['s_idpej'] ?>"><?= $row['s_namapej'] . " || " . $row['s_jabatanpej'] ?></option>
                <?php } ?>
            </select>
        </div>
        <div class="col-sm-9">
            <button type='button' class='btn btn-warning btn-md' onclick='cetakteguranmasal()'><span class='glyph-icon icon-print'></span> CETAK SURAT TEGURAN</button>
            <button type='button' class='btn btn-danger btn-md' onclick='exporttopdf()'><span class='glyph-icon icon-file-pdf-o'></span> EXPORT TO PDF</button>
            <button type='button' class='btn btn-success btn-md' onclick='exporttoexcel()'><span class='glyph-icon icon-file-excel-o'></span> EXPORT TO EXCEL</button>
        </div>
    </div>
    <div class="example-box-wrapper">
        <div class="row">
            <table class="table table-condensed table-bordered cf tableTeguran" style="font-size: 11px; color: black;">
                <thead class="cf" style="background-color: blue">
                    <tr class="bg-blue">
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            No.
                        </th>          
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            <input type="checkbox" id="selectAll" >
                        </th>        
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            ID OP
                        </th> 
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Nama Objek 
                        </th> 
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Alamat Objek
                        </th>         
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            NPWPD
                        </th> 
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Nama 
                        </th>     
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Jenis Pajak
                        </th>     
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Masa Pajak
                        </th>     
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            No. & Tgl. Teguran
                        </th>  
                    </tr>
                    <tr class="bg-default">
                        <td></td>
                        <td></td>
                        <td><input class="form-control" type="text" id="t_niop_cari_0" onkeyup="calldatagrid()"></td>
                        <td><input class="form-control" type="text" id="t_namaobjek_cari_0" onkeyup="calldatagrid()"></td>
                        <td><input class="form-control" type="text" id="t_alamatobjek_cari_0" onkeyup="calldatagrid()"></td>
                        <td><input class="form-control" type="text" id="t_npwpd_cari_0" onkeyup="calldatagrid()"></td>
                        <td><input class="form-control" type="text" id="t_nama_cari_0" onkeyup="calldatagrid()"></td>
                        <td><input class="form-control" type="text" id="t_jenispajak_cari_0" onkeyup="calldatagrid()"></td>
                        <td><input class="form-control" type="text" id="t_masapajak_cari_0" onkeyup="calldatagrid()"></td>
                        <td><input class="form-control" type="text" id="t_noteguran_cari_0" onkeyup="calldatagrid()"></td>
                    </tr>
                </thead>
                <tbody id="body_grid">
                </tbody>
            </table>
            <div class="row">
                <div class="col-sm-3 text-left">
                    <span>
                        <select id="rows" class="form-control" style="width: 30%" onchange="calldatagrid(1)">
                            <option value="10">10</option>
                            <option value="20">20</option>
                            <option value="30">30</option>
                            <option value="40">40</option>
                            <option value="50">50</option>
                        </select>
                    </span>
                </div>
                <div class="col-sm-6" style="text-align: center">
                    <center>
                        <div id="paginatore"></div>
                        <input type="hidden" id="s_idjenis" value="<?= $s_idjenis ?>">
                        <input type="hidden" id="page" value="1">
                    </center>
                </div>
                <div class="col-sm-3 text-right">
                    <span>
                        <p>
                            <b style="font-size: 13px; color: orangered"><span id="awaldata"></span> s/d <span id="akhirdata"></span> Dari <span id="total_data"></span> Data</b>
                        </p>  
                    </span>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    $(function () {
        calldatagrid();
    });

    function calldatagrid(direction) {
        datagrid($("#page").val(), $("#rows").val(), direction);
    }

    function datagrid(pagewp, row, direction) {
        $.post('<?= $this->url() ?>/dataGridSuratTeguran/' + pagewp + '/' + row + '/' + direction,{
            t_niop: $('#t_niop_cari_0').val(),
            t_namaobjek: $('#t_namaobjek_cari_0').val(),
            t_alamatobjek: $('#t_alamatobjek_cari_0').val(),
            t_npwpd: $('#t_npwpd_cari_0').val(),
            t_nama: $('#t_nama_cari_0').val(),
            t_jenispajak: $('#t_jenispajak_cari_0').val(),
            t_masapajak: $('#t_masapajak_cari_0').val(),
            t_noteguran: $('#t_noteguran_cari_0').val()
        }, function (data) {
            var aa = JSON.parse(data)
            $("#body_grid").html(aa.gridwp);
            $("#rows").val(aa.rowswp);
            $("#page").val(aa.pagewp);
            $("#total_data").html(": " + aa.countwp);
            $("#total_halaman").html(": " + aa.total_halamanwp);
            $("#paginatore").html(aa.paginatorewp);
            $("#awaldata").html(aa.awaldatawp);
            $("#akhirdata").html(aa.akhirdatawp);
        });
    }

    function cetakteguranmasal() {
        var checkValues = $('input[name=t_idteguran]:checked').map(function ()
        {
            return $(this).val();
        }).get();
        if (checkValues == '') {
            $('#AlertCetakTeguran').modal('show');
        } else {
            window.open('<?= $this->url() ?>/cetaksuratteguran?idobjekdbelumlapor=' + checkValues + "&ttdmasalteguran=" + $("#ttdmasalteguran").val() + "&s_idjenis=" + $("#s_idjenis").val());
        }
    }
    
    function exporttopdf() {
        var checkValues = $('input[name=t_idteguran]:checked').map(function ()
        {
            return $(this).val();
        }).get();
        if (checkValues == '') {
            $('#AlertCetakTeguran').modal('show');
        } else {
            window.open('<?= $this->url() ?>/cetakdaftarteguran?idobjekdbelumlapor=' + checkValues + "&ttdmasalteguran=" + $("#ttdmasalteguran").val() + "&s_idjenis=" + $("#s_idjenis").val() + "&formatcetak=pdf");
        }
    }
    
    function exporttoexcel() {
        var checkValues = $('input[name=t_idteguran]:checked').map(function ()
        {
            return $(this).val();
        }).get();
        if (checkValues == '') {
            $('#AlertCetakTeguran').modal('show');
        } else {
            window.open('<?= $this->url() ?>/cetakdaftarteguran?idobjekdbelumlapor=' + checkValues + "&ttdmasalteguran=" + $("#ttdmasalteguran").val() + "&s_idjenis=" + $("#s_idjenis").val() + "&formatcetak=excel");
        }
    }
    
    
</script>
<div id="AlertCetakTeguran" class="modal fade" role="dialog">
    <div class="modal-dialog modal-xs" style="width: 300px">
        <div class="modal-content">
            <div class="modal-header bg-danger">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel"><span class="glyph-icon icon-warning"></span><b> Peringatan</b></h4>
            </div>
            <div class="modal-body">
                <p style="font-weight: bold">Centang Minimal 1 Baris Data.</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-danger btn-xs" data-dismiss="modal"><span class="glyph-icon icon-close"></span> Close</button>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    $(document).ready(function () {
        $('#selectAll').click(function (event) {
            if (this.checked) {
                // Iterate each checkbox
                $(':checkbox').each(function () {
                    this.checked = true;
                }).change();
            } else {
                $(':checkbox').each(function () {
                    this.checked = false;
                }).change();
            }
        });

        $('.tableTeguran tr').click(function (event) {
            if (event.target.type !== 'checkbox') {
                $(':checkbox', this).trigger('click');
            }
        });

        $("input[type='checkbox']").change(function (e) {
            if ($(this).is(":checked")) {
                $(this).closest('tr').addClass("highlight_row");
            } else {
                $(this).closest('tr').removeClass("highlight_row");
            }
        });
    });
</script>
<style type="text/css">
    .combooperatorwpc select {
        border: 0 !important;  /*Removes border*/
        -webkit-appearance: none;  /*Removes default chrome and safari style*/
        -moz-appearance: none; /* Removes Default Firefox style*/
        appearance:none;
        /*background: #E08E0B url(img/select-arrow.png) no-repeat 90% center;*/
        background: #E08E0B no-repeat 90% center;
        text-indent: 0.01px; /* Removes default arrow from firefox*/
        color: #FFF;
    }		
    .tableTeguran {
        width: 100%;
        border-collapse: collapse;
    }
    .tableTeguran tr:hover {
        background: #C6E746;
    }
    .tableTeguran td {
        border: 1px solid #eee;
    }
    .highlight_row {
        background: #eee;
    }
</style>
